> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Addresses

> Get a list of deposit addresses



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /digital-custody/deposit-addresses
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /digital-custody/deposit-addresses:
    get:
      tags:
        - Digital Custody
      summary: Get Deposit Addresses
      description: Get a list of deposit addresses
      operationId: getDepositAddresses
      parameters:
        - name: asset
          description: Asset symbol
          in: query
          example: USDC
          schema:
            type: string
        - name: chain
          description: Network / Blockchain
          in: query
          example: ETH
          schema:
            type: string
        - $ref: '#/components/parameters/AccountId'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      addresses:
                        type: array
                        items:
                          $ref: '#/components/schemas/DigitalDepositAddress'
components:
  parameters:
    AccountId:
      name: accountId
      in: query
      description: Filter by one or more account id
      schema:
        type: array
        items:
          type: string
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    DigitalDepositAddress:
      type: object
      properties:
        id:
          type: string
          example: c936a1ff-1d3c-45e1-af1f-ed497685a305
        address:
          type: string
          example: '0x000000000dfde7deaf24138722987c9b6991e2d4'
          description: >-
            An alphanumeric string representing a blockchain address. Will be in
            different formats for different chains. It is important to preserve
            the exact formatting and capitalization of the address.
        asset:
          type: string
          example: USDC
        chain:
          type: string
          example: ETH
        addressTag:
          type: string
          description: >-
            The secondary identifier for a blockchain address. An example of
            this is the memo field on the Stellar network, which can be text,
            id, or hash format.
        created:
          type: string
          format: date-time
        xid:
          $ref: '#/components/schemas/Xid'
        xmetadata:
          $ref: '#/components/schemas/Xmetadata'
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````